### Hierarchy

- unknown
  - TradeStatistics3

## Index

### Constructors

- constructor

### Methods

- clearExtraDataMap
- getAmount
- getArbitrator
- getCurrency
- getDate
- getExtraDataMap
- getHash
- getHash_asB64
- getHash_asU8
- getMakerDepositTxId
- getPaymentMethod
- getPrice
- getTakerDepositTxId
- serializeBinary
- setAmount
- setArbitrator
- setCurrency
- setDate
- setHash
- setMakerDepositTxId
- setPaymentMethod
- setPrice
- setTakerDepositTxId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TradeStatistics3(): TradeStatistics3

- Inherited from jspb.Message.constructor

  #### Returns TradeStatistics3

## Methods

### clearExtraDataMap

- clearExtraDataMap(): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3288

  #### Returns TradeStatistics3

### getAmount

- getAmount(): number

- - Defined in src/protobuf/pb_pb.d.ts:3273

  #### Returns number

### getArbitrator

- getArbitrator(): string

- - Defined in src/protobuf/pb_pb.d.ts:3290

  #### Returns string

### getCurrency

- getCurrency(): string

- - Defined in src/protobuf/pb_pb.d.ts:3267

  #### Returns string

### getDate

- getDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:3279

  #### Returns number

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- - Defined in src/protobuf/pb_pb.d.ts:3287

  #### Returns Map<string, string>

### getHash

- getHash(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3282

  #### Returns string | Uint8Array

### getHash_asB64

- getHash_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:3284

  #### Returns string

### getHash_asU8

- getHash_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3283

  #### Returns Uint8Array

### getMakerDepositTxId

- getMakerDepositTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3293

  #### Returns string

### getPaymentMethod

- getPaymentMethod(): string

- - Defined in src/protobuf/pb_pb.d.ts:3276

  #### Returns string

### getPrice

- getPrice(): number

- - Defined in src/protobuf/pb_pb.d.ts:3270

  #### Returns number

### getTakerDepositTxId

- getTakerDepositTxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:3296

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:3299

  #### Returns Uint8Array

### setAmount

- setAmount(value: number): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3274

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics3

### setArbitrator

- setArbitrator(value: string): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3291

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

### setCurrency

- setCurrency(value: string): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3268

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

### setDate

- setDate(value: number): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3280

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics3

### setHash

- setHash(value: string | Uint8Array): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3285

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns TradeStatistics3

### setMakerDepositTxId

- setMakerDepositTxId(value: string): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3294

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

### setPaymentMethod

- setPaymentMethod(value: string): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3277

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

### setPrice

- setPrice(value: number): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3271

  #### Parameters

  - ##### value: number

  #### Returns TradeStatistics3

### setTakerDepositTxId

- setTakerDepositTxId(value: string): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3297

  #### Parameters

  - ##### value: string

  #### Returns TradeStatistics3

### toObject

- toObject(includeInstance?: boolean): TradeStatistics3 . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3300

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TradeStatistics3 . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3303

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradeStatistics3

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradeStatistics3, reader: BinaryReader): TradeStatistics3

- - Defined in src/protobuf/pb_pb.d.ts:3304

  #### Parameters

  - ##### message: TradeStatistics3

  - ##### reader: BinaryReader

  #### Returns TradeStatistics3

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TradeStatistics3, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:3302

  #### Parameters

  - ##### message: TradeStatistics3

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TradeStatistics3 ): TradeStatistics3 . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:3301

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradeStatistics3

  #### Returns TradeStatistics3 . AsObject

Generated using TypeDoc